---
interface Props {
  id: number;
  name: string;
  selected?: boolean;
}

const { id, name, selected } = Astro.props;
---

<button
  type="button"
  class="hover:bg-neutral-800 disabled:bg-transparent disabled:opacity-50 flex font-bold py-2 px-4 w-full"
  disabled={selected}
  name={id.toString()}
  onclick="handleChangeCategory(this)"
>
  {name}
</button>

<script is:inline>
  function handleChangeCategory(btn) {
    const lastQueryParams = new URLSearchParams(window.location.search);
    const queryParams = new URLSearchParams();
    const lastSearch = lastQueryParams.get("search");
    if (lastSearch) queryParams.set("search", lastSearch);
    if (lastQueryParams.get("limit")) queryParams.set("limit", lastQueryParams.get("limit"));
    queryParams.set("category", btn.name);
    window.location.search = queryParams;
  }
</script>
